package com.gyee.table.jwt.config;

import com.gyee.table.jwt.filter.JwtFilter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author hlf
 * @date 2023/4/1 16:24
 * 文件说明：jwt后台访问拦截
 */
@Configuration
public class InterceptorConfig implements WebMvcConfigurer {

    @Bean
    public JwtFilter authenticationInterceptor() {
        return new JwtFilter();
    }

    // 这个方法用来注册拦截器，我们自己写好的拦截器需要通过这里添加注册才能生效
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //注册TestInterceptor拦截器
        InterceptorRegistration registration = registry.addInterceptor(authenticationInterceptor());
        registration.addPathPatterns("/**");//所有路径都被拦截
        registration.excludePathPatterns("" +
            "/assets/**",     //assets文件夹里文件不拦截
            "/**/*.js",       //js静态资源不拦截
            "/**/*.css"       //css静态资源不拦截
        );
    }

}
